    #include <iostream>
	#include <fstream>
	using namespace std;
	int main() {
	int i,n;
	float  Arr[100];
	fstream myfile ("test.dat",ios::in|ios::out);
	if (!myfile.is_open()){
	cout<<"error";
	}
	cout<<"  enter n:";
	cin>>n;
	cout<<"  enter data:";
	for(i=0;i<n;i++){
	cin>>Arr[i];
	}
	myfile.write(reinterpret_cast<char *>(&Arr),sizeof(float));
	myfile.read(reinterpret_cast<char *>(&Arr), sizeof(float));
	cout<<"information is:";
	for(i=0;i<n;i++){
	cout<<"  "<<Arr[i]*2 +Arr[i]<<",";
	}
	myfile.flush();
	myfile.close();
	return 0;
	}
